%define upstream_name    File-Find-Object-Rule
%define upstream_version 0.0303

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    File::Find::Object::Rule's procedural interface
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::XSAccessor)
BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Find::Object) >= 0.2.1
BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Build) >= 0.360.0
BuildRequires: perl(Number::Compare)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Glob)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
File::Find::Object::Rule is a friendlier interface to the
File::Find::Object manpage . It allows you to build rules which specify the
desired files and directories.

*WARNING* : This module is a fork of version 0.30 of the File::Find::Rule
manpage (which has been unmaintained for several years as of February,
2009), and may still have some bugs due to its reliance on File::Find'isms.
As such it is considered Alpha software. Please report any problems with
the File::Find::Object::Rule manpage to its RT CPAN Queue.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_bindir}/findorule
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.30.300-2.mga4
+ Revision: 525210
- Mageia 4 Mass Rebuild

* Wed May 29 2013 shlomif <shlomif> 0.30.300-1.mga4
+ Revision: 432519
- New version 0.0303

* Sun Jan 13 2013 umeabot <umeabot> 0.30.200-2.mga3
+ Revision: 367209
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 shlomif <shlomif> 0.30.200-1.mga3
+ Revision: 338085
- update to 0.0302

* Tue Jun 05 2012 jquelin <jquelin> 0.30.100-1.mga3
+ Revision: 254945
- update to 0.0301

* Thu Dec 01 2011 shlomif <shlomif> 0.30.0-1.mga2
+ Revision: 174858
- imported package perl-File-Find-Object-Rule


* Tue Jul 28 2009 cpan2dist 0.0300-1mdv
- initial mdv release, generated with cpan2dist
